pub mod collections;
mod colormesh;
pub mod tools;
pub mod transforms;
pub mod ty;
use crate::errors::*;

pub use colormesh::ColorMesh;

pub trait Graphics {
    fn draw(&self) -> Result<()>;

    fn compile(&mut self, gl: &glow::Context) -> Result<()>;
}
